
Infrastructure - Task #2453

Bug # 2449 (Closed): knb unicode identifier create and get failures

'+' in urls being converted to space (or possibly stripped) by service

2012-03-07 20:00 - Rob Nahf

Status: Closed Start date: 2012-03-07

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Sprint-2012.09-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Test 12: OK   :       : common-unicode-ascii-escaped-space x x

Test 13: Error: get   : common-unicode-ascii-escape-anyway-+

Test 14: Error: get   : common-unicode-ascii-escape-space-v-plus-+ +%20 %20+

exceptions are d1 NotFound exceptions:

NotFound: 1800: No system metadata could be found for given PID:

testMNodeTier3:201267105118419_common-unicode-ascii-escape-anyway-

NotFound: 1800: No system metadata could be found for given PID:

testMNodeTier3:201267105121955_common-unicode-ascii-escape-space-v-plus-   %20 %20

(these are the only 2 character escaping tests containing '+')

Related issues:

Related to Infrastructure - Bug #2460: escaped + in query string not being de... Closed

History

#1 - 2012-03-09 17:39 - Ben Leinfelder

- Status changed from New to Closed

This is now working on demo2:

20120309-09:33:05: [INFO]: Test 12: OK   :  common-unicode-ascii-escaped-space x x [org.dataone.integration.it.ContextAwareTestCaseDataone]

20120309-09:33:05: [INFO]: Test 13: OK   :  common-unicode-ascii-escape-anyway-+ [org.dataone.integration.it.ContextAwareTestCaseDataone]

20120309-09:33:05: [INFO]: Test 14: OK   :  common-unicode-ascii-escape-space-v-plus-+ +%20 %20+

[org.dataone.integration.it.ContextAwareTestCaseDataone]
